<script setup lang="ts">
import { provide } from 'vue';
import facts from '../dyk.json';
import { FactsKey, CategoriesKey, categories } from './constants';

// Provide some data to all components in the tree
provide(FactsKey, facts);
provide(CategoriesKey, categories);
</script>

<template>
  <main id="app">
    <RouterView />
  </main>
</template>

<style lang="css">
#app {
  display: flex;
  flex-direction: column;
  height: 100dvh;
}
</style>
